unit Getpath;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TPathForm = class(TForm)
    RdGp_EditorPath: TRadioGroup;
    Edit_Path: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn_Browse: TBitBtn;
    BrowseDialog: TSaveDialog;
    procedure BitBtn_BrowseClick(Sender: TObject);
    procedure RdGp_EditorPathClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PathForm: TPathForm;

implementation

uses
  Btmicon;
{$R *.DFM}

procedure TPathForm.BitBtn_BrowseClick(Sender: TObject);
begin
   with BrowseDialog do
     case RdGp_EditorPath.ItemIndex of
         0 : FileName := BitMapEditor;
         1 : FileName := IconEditor;
         2 : FileName := MetaFileEditor;
     end;
  if BrowseDialog.Execute then
  begin
     case RdGp_EditorPath.ItemIndex of
       0 : BitMapEditor := BrowseDialog.FileName;
       1 : IconEditor := BrowseDialog.FileName;
       2 : MetaFileEditor := BrowseDialog.FileName;
     end;
     Edit_Path.Text := BrowseDialog.FileName;
  end;

end;

procedure TPathForm.RdGp_EditorPathClick(Sender: TObject);
begin
    case RdGp_EditorPath.ItemIndex of
         0 : Edit_Path.Text := BitMapEditor;
         1 : Edit_Path.Text := IconEditor;
         2 : Edit_Path.Text := MetaFileEditor;
     end;
end;

procedure TPathForm.FormCreate(Sender: TObject);
begin
  Edit_Path.Text := BitMapEditor;
end;

procedure TPathForm.BitBtn1Click(Sender: TObject);
begin
   case RdGp_EditorPath.ItemIndex of
       0 : BitMapEditor := Edit_Path.Text;
       1 : IconEditor := Edit_Path.Text;
       2 : MetaFileEditor := Edit_Path.Text;
     end;
 Close
end;

procedure TPathForm.BitBtn2Click(Sender: TObject);
begin
 close
end;

end.
