unit Launche;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TLaunchEditor = class(TForm)
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    RdGp_Editors: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

{var
  LaunchEditor: TLaunchEditor; }

implementation

{$R *.DFM}
Uses
  BtmIcon;

procedure TLaunchEditor.FormCreate(Sender: TObject);
begin
  Case Editor.Extension of
    pvIcon     : if IconEditor <> '' then
                  RdGp_Editors.ItemIndex := 0;
    pvBitMap   : if BitMapEditor <> '' then
                  RdGp_Editors.ItemIndex := 1;
    pvMetaFile : if MetaFileEditor <> '' then
                  RdGp_Editors.ItemIndex := 2;
  end;
end;

procedure TLaunchEditor.BitBtn1Click(Sender: TObject);
var
  str,temp : String;
  Pstr : array[0..255] of char;

begin
With Editor do
begin
  Case RdGp_Editors.ItemIndex of
    0   : if IconEditor <> '' then
          Str := IconEditor;
    1   : if BitMapEditor <> '' then
           Str :=  BitMapEditor;
    2   : if MetaFileEditor <> '' then
          Str :=  MetaFileEditor;
  end;
  RunExternal := true;
  {$IFDEF WIN32}
  WinExecAndWait(Str,SW_SHOW);
  {$ELSE}
  StrPcopy(Pstr,str);
  WinExecAndWait(PStr,SW_SHOW);
  {$ENDIF}
  RunExternal := False;
  if Str <> '' then
  begin
    temp := ListGraphicFiles.Directory;
    ListGraphicFiles.Directory := 'C:\';
    ListGraphicFiles.Directory := Temp;
    AssignBitMapIcon(LastCell)
  end;{ if}
end;{With}
end;{proc}
end.
